%define		module	nose
Summary:	A unittest extension with automatic discovery, simplified authoring, and output capture
Summary(pl.UTF-8):	Rozszerzenie testów jednostkowych z automatycznym wykrywaniem, prostym tworzeniem i przechwytywaniem wyjścia
Name:		python-%{module}
Version:	1.3.3
Release:	2
License:	LGPL v2.1
Group:		Libraries/Python
Source0:	https://pypi.python.org/packages/source/n/nose/%{module}-%{version}.tar.gz
# Source0-md5:	42776061bf5206670cb819176dc78654
URL:		https://pypi.python.org/pypi/nose
BuildRequires:	python-devel >= 1:2.5
BuildRequires:	python-devel-tools >= 1:2.5
BuildRequires:	python-setuptools >= 0.6-0.c5
BuildRequires:	python3-devel
BuildRequires:	python3-distribute
BuildRequires:	rpm-pythonprov
Requires:	python-devel-tools >= 1:2.5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
nose provides an alternate test discovery and running process for
unittest, one that is intended to mimic the behavior of py.test as
much as is reasonably possible without resorting to magic. By default,
nose will run tests in files or directories under the current working
directory whose names include "test". nose also supports doctest tests
and may optionally provide a test coverage report.

%description -l pl.UTF-8
nose dostarcza alternatywny proces wykrywania i uruchamiania testów
dla testów jednostkowych (unittest), mający przypominać zachowanie
py.test na ile to możliwe bez uciekania się do magii. Domyślnie nose
uruchamia testy z tych plików lub katalogów od bieżącego katalogu,
których nazwa zawiera "test". Obsługuje także testy doctest i
opcjonalnie przedstawia raport pokrycia testów.

%package -n python3-%{module}
Summary:	A unittest extension with automatic discovery, simplified authoring, and output capture
Summary(pl.UTF-8):	Rozszerzenie testów jednostkowych z automatycznym wykrywaniem, prostym tworzeniem i przechwytywaniem wyjścia
Group:		Libraries/Python
Requires:	python3-devel-tools

%description -n python3-%{module}
nose provides an alternate test discovery and running process for
unittest, one that is intended to mimic the behavior of py.test as
much as is reasonably possible without resorting to magic. By default,
nose will run tests in files or directories under the current working
directory whose names include "test". nose also supports doctest tests
and may optionally provide a test coverage report.

%description -n python3-%{module} -l pl.UTF-8
nose dostarcza alternatywny proces wykrywania i uruchamiania testów
dla testów jednostkowych (unittest), mający przypominać zachowanie
py.test na ile to możliwe bez uciekania się do magii. Domyślnie nose
uruchamia testy z tych plików lub katalogów od bieżącego katalogu,
których nazwa zawiera "test". Obsługuje także testy doctest i
opcjonalnie przedstawia raport pokrycia testów.

%define	_duplicate_files_terminate_build	0

%prep
%setup -qn %{module}-%{version}

%build
%{__python} setup.py build --build-base py2
%{__python3} setup.py build --build-base py3

%install
rm -rf $RPM_BUILD_ROOT

%{__python} setup.py build \
	--build-base py2 \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%{__python3} setup.py build \
	--build-base py3 \
	install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

mv $RPM_BUILD_ROOT%{_prefix}/man $RPM_BUILD_ROOT%{_datadir}
for v in %{py_ver} %{py3_ver} ; do
	cp -p $RPM_BUILD_ROOT%{_mandir}/man1/nosetests.1 $RPM_BUILD_ROOT%{_mandir}/man1/nosetests-${v}.1
done

# default to python2 for now
ln -sf nosetests-%{py_ver} $RPM_BUILD_ROOT%{_bindir}/nosetests
echo '.so nosetests-%{py_ver}.1' > $RPM_BUILD_ROOT%{_mandir}/man1/nosetests.1

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG NEWS README.txt
%attr(755,root,root) %{_bindir}/nosetests-%{py_ver}
%attr(755,root,root) %{_bindir}/nosetests
%{py_sitescriptdir}/%{module}
%{py_sitescriptdir}/%{module}-%{version}-py*.egg-info
%{_mandir}/man1/nosetests-%{py_ver}.1*
%{_mandir}/man1/nosetests.1*

%files -n python3-%{module}
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/nosetests-%{py3_ver}
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%{_mandir}/man1/nosetests-%{py3_ver}.1*
%changelog
* Sun Oct 19 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-nose.git;a=log;h=master

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1bc3ff4
- python 3.4
- release 2 (by relup.sh)

* Fri Jun 20 2014 Jakub Bogusz <qboosh@pld-linux.org> c59b039
- updated to 1.3.3

* Sun Dec 01 2013 Jakub Bogusz <qboosh@pld-linux.org> 47e2afb
- updated to 1.3.0, cleanups

* Wed Mar 27 2013 wrobell <wrobell@pld-linux.org> 3fc655f
- ver. 1.2.1

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> d5647e4
- rel 3; don't terminate build due to duplictes

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 42c6135
- rel 3; allow 3.x version

* Wed Nov 14 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4566606
- release 2 (by relup.sh)

* Wed Jun 01 2011 wrobell <wrobell@pld-linux.org> 4d98eb4
- ver. 1.0.0
- added python 3.x package

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> 8d5378e
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c3a5b2f
- release 2

* Thu Nov 26 2009 sparky <sparky@pld-linux.org> 552ed67
- BR: python-devel

* Sat Oct 03 2009 wrobell <wrobell@pld-linux.org> dd3ee1b
- ver. 0.11.1

* Tue Jan 06 2009 witekfl <witekfl@pld-linux.org> 164b4c9
- up to 0.10.4

* Fri Nov 21 2008 Karol Krenski <charles@pld-linux.org> 57dece1
- BR s/python/python-devel-tools/

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d83c470
- release 3

* Thu Jul 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> d84a873
- release 2

* Mon Jun 25 2007 Jakub Bogusz <qboosh@pld-linux.org> 17f3e18
- typo

* Mon Jun 25 2007 wrobell <wrobell@pld-linux.org> a0c608c
- ver. 0.9.3

* Wed Feb 28 2007 wrobell <wrobell@pld-linux.org> d8fb88d
- fixed manual path

* Wed Feb 28 2007 wrobell <wrobell@pld-linux.org> e7ca811
- ver. 0.9.2
- added manpage

